#
# spec file for package kphone (Version 3.11)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  kde3-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs arts arts-devel autoconf automake binutils cracklib expat fam fam-devel fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext kdelibs3 kdelibs3-devel libart_lgpl libart_lgpl-devel libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool libxml2 libxml2-devel libxslt libxslt-devel mesa mesaglut mesaglut-devel openssl-devel pcre pcre-devel perl qt3 qt3-devel rpm update-desktop-files

Name:         kphone
License:      GPL
Group:        Productivity/Telephony/SIP/Clients
Summary:      SIP user agent for linux
Version:      3.11
Release:      125
URL:          http://www.wirlab.net/kphone
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      kphone-%version.tar.bz2
Patch:        kphone-%version.dif
Patch1:       kphone-nodos.patch

%description
KPhone is a SIP (Session Initiation Protocol) user agent for Linux,
with which you can initiate VoIP (Voice over IP) connections over the
Internet. KPhone requires KDE (K Desktop Environment) or at least
various libraries from the KDE package.



Authors:
--------
    Billy Biggs <vektor@div8.net>

%prep
%setup -q
%patch
%patch1
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
./configure $configkde --disable-final
  
make -C kphonegsm
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
%suse_update_desktop_file %name Network Telephone

%files
%defattr(-,root,root)
%doc COPYING CHANGES README user_guide.pdf
/opt/kde3/include/dissipate2
/opt/kde3/include/ilbc
/opt/kde3/include/kphonegsm
/opt/kde3/bin/*
/opt/kde3/%_lib/lib*
/opt/kde3/share/applnk/Internet/kphone.desktop
/opt/kde3/share/icons/*
/opt/kde3/share/apps/kphone

%changelog -n kphone
* Tue Apr 20 2004 - ro@suse.de
- apply patch preventing denial-of-service attack (#39167)
* Sun Sep 07 2003 - adrian@suse.de
- fix Categories
* Tue Aug 12 2003 - ro@suse.de
- fix build on lib64 platforms (help configure find openssl)
* Tue Jul 29 2003 - adrian@suse.de
- add Categories
- package documentation
* Sat Jun 14 2003 - coolo@suse.de
- package directories
* Tue Jun 10 2003 - ro@suse.de
- found uptodate version 3.11
* Tue Jun 10 2003 - ro@suse.de
- created package (0.9.5)
